Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.plugin
Class IdBlock

    java.lang.Object
      org.jboss.messaging.core.plugin.IdBlock

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class IdBlock
extends java.lang.Object
implements java.io.Externalizable

A IdBlock.

Version:
  1.1 IdBlock.java,v 1.1 2006/03/07 17:11:15 timfox Exp
Author:
  Tim Fox
See Also:
  Serialized Form

Field Summary
`protected long` | `high`
`protected long` | `low`

Constructor Summary
`IdBlock()`
`IdBlock(long low, long high)`

Method Summary
`long` | `getHigh()`
`long` | `getLow()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### low

    protected long low

### high

    protected long high

Constructor Detail

### IdBlock

    public IdBlock()

### IdBlock

    public IdBlock(long low,
                   long high)

Method Detail

### getLow

    public long getLow()

### getHigh

    public long getHigh()

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.